org.jboss.jca.adapters.jdbc

## Class PreparedStatementCache.Key

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.PreparedStatementCache.Key

- Enclosing class:
    PreparedStatementCache

      public static class PreparedStatementCache.Key
      extends java.lang.Object

  Key class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CALLABLE_STATEMENT` Callable statement cache
    `static int` | `PREPARED_STATEMENT` Prepared statement cache

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Key(java.lang.String sql, int type, int resultSetType, int resultSetConcurrency)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getSql()` Get the SQL string
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PREPARED_STATEMENT

          public static final int PREPARED_STATEMENT

      Prepared statement cache
      See Also:
        Constant Field Values

    - #### CALLABLE_STATEMENT

          public static final int CALLABLE_STATEMENT

      Callable statement cache
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Key

          public Key(java.lang.String sql,
                     int type,
                     int resultSetType,
                     int resultSetConcurrency)

      Constructor
      Parameters:
        `sql` - The SQL string
        `type` - The type
        `resultSetType` - The result set type
        `resultSetConcurrency` - The result set concurrency

  - ### Method Detail

    - #### getSql

          public java.lang.String getSql()

      Get the SQL string
      Returns:
        The value

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)